{ config, pkgs, ... }:
{
  # control display backlight
  programs.light.enable = true;

  fonts = {
    enableDefaultPackages = true;
    packages = with pkgs;
      [
        nerd-fonts.noto
        nerd-fonts.iosevka
        nerd-fonts.iosevka-term
        nerd-fonts.iosevka-term-slab
        noto-fonts-cjk-sans
        noto-fonts-emoji
        roboto
        fira
        open-sans
        corefonts
        vistafonts
      ];
  };
  console = {
    colors = let colors = config.home-manager.users.rouven.colorScheme.palette; in
      [
        colors.base00
        colors.base08
        colors.base0A
        colors.base0B
        colors.base0D
        colors.base0E
        colors.base0C
        colors.base05

        colors.base03
        colors.base08
        colors.base0A
        colors.base0B
        colors.base0D
        colors.base0E
        colors.base0C
        colors.base07
      ];
  };
  hardware.graphics.extraPackages = with pkgs; [
    intel-compute-runtime
    intel-media-driver
  ];
}
